Subject: [Srcomp] section 4.1.1 text to review

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Mon, 19 Oct 2020 12:47:49 +0000

4.1.1.  REQ-7-27-ARCH (needs a new title)

   o  Description:

      *  A solution to compress SRv6 MUST support the functionality of SRv6.  It SHOULD comply with the specifications describing that functionality in order to deliver all aspects of SRv6 functionality.
   o  Rational:

SPRING has specified SRv6 and its functionality in many documents.  A compression solution that leverages these documents is most capable of supporting all current and future SRv6 functionality.
Evaluating the extent to which a proposal can support SRv6 functionality, using existing specifications, is important for operators and implementors to understand the impact on controlplane, dataplane and network operations.

   o  Metric:

      *  The compliance metric (C) records how aligned a proposal is
         with SRv6 functionality and the degree to which it re-uses, extends or replaces the specifications describing that functionality.
Compliance is recorded in a table per proposal.  The table has rows consisting of the following compliance metrics to record the functional and specification compliance of each proposal.

         +  C.RFC8402: compliance with[RFC8402].
          +  C.RFC8754: compliance with[RFC8754].
          +  C.PGM: compliance with [I-D.ietf-spring-srv6-network-programming].
          +  C.IGP: compliance with [I-D.ietf-lsr-isis-srv6-extensions].
          +  C.BGP: compliance with [I-D.ietf-bess-srv6-services].
          +  C.POL: compliance with [I-D.ietf-spring-segment-routing-policy].
          +  C.BLS: compliance with [I-D.ietf-idr-bgpls-srv6-ext].
          +  C.SVC: compliance with [I-D.ietf-spring-sr-service-programming].
          +  C.OAM: compliance with [I-D.ietf-6man-spring-srv6-oam].
          +_ C.ALG: compliance with [I-D.ietf-lsr-flex-algo]

      *  The table has columns consisting of complies, extends, redefines. An X is entered in one of the columns for each row when the functionality described by the specification is supported by the proposal.  A proposal that does not support the functionality per each specification does not record an X in the relevant row.  The list below identifies the primary functionality provided by each specification.

+  [RFC8402].

  *   Support segment types: Prefix, adjacency, anycast, BGP peering, binding
  *   Support multiple algorithms for SIDs

+  [RFC8754].

  *   Support carrying a segment list in an IPv6 header
  *   Support the ability to secure an SR Domain with ingress filtering
  *   Support the ability to secure a segment list with verification at a segment endpoint.

+  [I-D.ietf-spring-srv6-network-programming].

  *   Support the fully defined SRv6 SID behaviors for
     *   Topological SIDs: prefix, adjacency, binding, BGP peering, anycast
     *   VPN service SIDs
  *   Support infrastructure to assign any processing behavior to a SID
     *   Including a registry to identify SID behaviors

+  [I-D.ietf-spring-segment-routing-policy]

  *   Support SR policies, candidate paths and segment list as defined.
  *   Support steering of traffic over the SR policy.

+  [I-D.ietf-lsr-isis-srv6-extensions]

  *   Support distributing topological SIDs and behaviors via ISIS.
     *   Supports TILFA and SRTE path computation.

+  [I-D.ietf-bess-srv6-services]

  *   Support BGP VPNs
     *   Distribute SRv6 SIDs for global internet, L3VPN and EVPN services.

+  [I-D.ietf-idr-bgpls-srv6-ext]

  *   Support link state distribution via BGP
     *   Distribute SRv6 related node, link, prefix attributes as part of topology information
     *   Distribute locally instantiated SRv6 SIDs

+  [I-D.ietf-spring-sr-service-programming]

  *   Support network function segments
     *   To enable SR proxies (static, dynamic, shared mem, masquerading)
  *   Support service state as source routed information

+  [I-D.ietf-6man-spring-srv6-oam]

  *   Support Ping of a SID to verify the SID is implemented
  *   Support Traceroute to a SID to verify the SID is implemented and identify the path taken.
  *   Support Controller based OAM by forwarding a copy of a packet to a controller at each segment endpoint.
 +  [I-D.ietf-lsr-flex-algo]

  *   Support Flexible algorithm